For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate file (remote upload)
      • POSTImport file
      • GETList files
      • PATCHMove file
      • PATCHRestore file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFiles

Show file upload status

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/files/:file_id/status
GET
/v4/accounts/:account_id/files/:file_id/status
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.files.show_file_upload_status(
8 account_id="c81c7379-e8ea-4372-a4f3-4a5d64333487",
9 file_id="af3c67d8-b5b4-44f2-8580-5cf208ef7123",
10)
1{
2 "data": {
3 "filetype": "image/gif",
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "upload_complete": true,
6 "upload_completed_at": "2025-05-28T22:51:43.728942Z",
7 "upload_failed": false,
8 "uploaded_at": "2025-05-28T22:51:43.648942Z"
9 }
10}
Show file upload status details. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.show_file_upload_status. <br/>Rate Limits: 5 calls per 1 second(s) per account_user
Was this page helpful?
Previous

Update file

Next

Show file upload status details.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.show_file_upload_status.
Rate Limits: 5 calls per 1 second(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error